Package ch.admin.suis.client.core.service.to

# Class PdfEntry

java.lang.Object
ch.admin.suis.client.core.service.to.PdfEntry

public class PdfEntry extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PdfEntry(String name, boolean file)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addChild(PdfEntry child)`
  `List<PdfEntry>`
  `getChildren()`
  `String`
  `getChosenClient()`
  `String`
  `getChosenFileName()`
  `String`
  `getChosenMandant()`
  Deprecated.
  use `getChosenClient()`
  `byte[]`
  `getFilePart()`
  `String`
  `getName()`
  `PdfEntry`
  `getParent()`
  `boolean`
  `isCheck()`
  `boolean`
  `isFile()`
  `void`
  `print()`
  `static void`
  `processNodes(PdfEntry root, String client)`
  `void`
  `setCheck(boolean check)`
  `void`
  `setChosenClient(String chosenClient)`
  `void`
  `setChosenFileName(String chosenFileName)`
  `void`
  `setChosenMandant(String chosenMandator)`
  Deprecated.
  use `setChosenClient(String)`
  `void`
  `setFilePart(byte[] filePart)`
  `void`
  `setParent(PdfEntry parent)`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PdfEntry

    public PdfEntry(String name, boolean file)

- ## Method Details

  - ### processNodes

    public static void processNodes(PdfEntry root, String client)

  - ### addChild

    public void addChild(PdfEntry child)

  - ### getChildren

    public List<PdfEntry> getChildren()

  - ### getChosenClient

    public String getChosenClient()

  - ### getChosenFileName

    public String getChosenFileName()

  - ### getChosenMandant

    @Deprecated public String getChosenMandant()
    Deprecated.
    use `getChosenClient()`
    Gets the `chosenClient` property from its legacy name.
    Returns:
      the value of the `chosenClient` property.

  - ### getFilePart

    public byte[] getFilePart()

  - ### getName

    public String getName()

  - ### getParent

    public PdfEntry getParent()

  - ### isCheck

    public boolean isCheck()

  - ### isFile

    public boolean isFile()

  - ### print

    public void print()

  - ### setCheck

    public void setCheck(boolean check)

  - ### setChosenClient

    public void setChosenClient(String chosenClient)

  - ### setChosenFileName

    public void setChosenFileName(String chosenFileName)

  - ### setChosenMandant

    @Deprecated public void setChosenMandant(String chosenMandator)
    Deprecated.
    use `setChosenClient(String)`
    Sets the `chosenClient` property with its legacy name.
    Parameters:
      `chosenMandator` - the value to set for the `chosenClient` property.

  - ### setFilePart

    public void setFilePart(byte[] filePart)

  - ### setParent

    public void setParent(PdfEntry parent)